Asterisk und sip Problem

stephan411

Neuer User
Mitglied seit
1 Mrz 2005
Beiträge
39
Punkte für Reaktionen
0
Punkte
0
Hallo,
wenn ich den Asterisk starte erhalte ich folgende Warnung:

WARNING [1750]: loade.c: 258 ast_load-restorce: /usr/lib/asterisk/modules/chan_sip.so: ELF file OD ABI invalid

Wie kann ich den Fehler beheben?

Stephan
 

traxanos

Mitglied
Mitglied seit
15 Jul 2004
Beiträge
486
Punkte für Reaktionen
0
Punkte
0
das heißt das irgend ein anderes modul fehlt. welches weis ich nicht.
evtl hast du in der modules.conf zu viel auf noload bzw autoload=no stehen
 

poppy

Neuer User
Mitglied seit
19 Aug 2004
Beiträge
49
Punkte für Reaktionen
0
Punkte
0
Kann das sein, das es eigentlich "ELF file OS ABI invalid" heißt? Wenn das der Fall ist, dann hast du vielleicht ein falsches Binary für dein OS. Woher hast du Asterisk? (selbe kompiliert oder heruntergeladen) Was ist dein OS?

Gruß
 

stephan411

Neuer User
Mitglied seit
1 Mrz 2005
Beiträge
39
Punkte für Reaktionen
0
Punkte
0
Hi,

ich hab asterisk von der Internetseite www.asterisk.org herunter geladen und dann mit
Make clean
make
Make install
Make samples
installiert.
Ich habe das Betriebssystem SuSE 9.0 installiert.

Stephan
 

speedy1980

Mitglied
Mitglied seit
13 Okt 2004
Beiträge
592
Punkte für Reaktionen
0
Punkte
0
Hast Du am Makefile was geändert? Sieht irgend wie so aus als wäre Asterisk nicht für Deine Rechnerplattform compiliert. Wie ist die Hardwareausstattung von Deinem Asterisk?
 

stephan411

Neuer User
Mitglied seit
1 Mrz 2005
Beiträge
39
Punkte für Reaktionen
0
Punkte
0
nein, ich habe am Makefile nichts geändert. Ich habe asterisk auf dem Rechner compiliert, auf dem er jetzt läuft. Welche genauen Infos über die Hardware brauchst du denn?

Stephan
 

speedy1980

Mitglied
Mitglied seit
13 Okt 2004
Beiträge
592
Punkte für Reaktionen
0
Punkte
0
Mainboard, Prozessor und Arbeitsspeichergröße würde mich interessieren....
Die passenden Kernel Sourcen zum eingesetzten Kernel hast Du auch installiert?